Create a new site. (Which is represented with the low level data structure workspace)

POST /users/site

Operation id: SiteService_CreateSite

Description

This is a convenience level above CreateWorkspace.

Permission Level: Read-Write

Tags: SiteService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Mimics CreateWorkspaceRequest, but removes the fields workspace_type as that field can be populated through keywords/business logic.

Required: Yes

application/json

Schema

Mimics CreateWorkspaceRequest, but removes the fields workspace_type as that field can be populated through keywords/business logic.

PropertyTypeRequiredDescription
namestringNo
tenantIdstringNo
parentstringNo
displayNamestringNo
attributesarrayNo
domainstringNo
scopestringNo
descriptionstringNo
expirationobjectNo
siteTypestringNo
siteTierstringNo
isHierarchyNodebooleanNo
isSyncBridgebooleanNo
{
  "type": "object",
  "description": "Mimics CreateWorkspaceRequest, but removes the fields `workspace_type` as that field can be populated through keywords/business logic.",
  "properties": {
    "name": {
      "type": "string"
    },
    "tenantId": {
      "type": "string"
    },
    "parent": {
      "type": "string"
    },
    "displayName": {
      "type": "string"
    },
    "attributes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "scope": {
            "type": "string"
          },
          "fieldName": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          }
        }
      }
    },
    "domain": {
      "type": "string"
    },
    "scope": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "expiration": {
      "type": "object"
    },
    "siteType": {
      "type": "string"
    },
    "siteTier": {
      "type": "string"
    },
    "isHierarchyNode": {
      "type": "boolean"
    },
    "isSyncBridge": {
      "type": "boolean"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
namestringNo
tenantIdstringNo
parentstringNo
displayNamestringNo
attributesarrayNo
domainstringNo
enabledScopesobjectNo
descriptionstringNo
expirationobjectNo
siteTypestringNo
siteTierstringNo
isHierarchyNodebooleanNo
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "tenantId": {
      "type": "string"
    },
    "parent": {
      "type": "string"
    },
    "displayName": {
      "type": "string"
    },
    "attributes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "scope": {
            "type": "string"
          },
          "fieldName": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          }
        }
      }
    },
    "domain": {
      "type": "string"
    },
    "enabledScopes": {
      "type": "object"
    },
    "description": {
      "type": "string"
    },
    "expiration": {
      "type": "object"
    },
    "siteType": {
      "type": "string"
    },
    "siteTier": {
      "type": "string"
    },
    "isHierarchyNode": {
      "type": "boolean"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}